#include "SortPicts.h"


void	SortPicts::MakeThreaded( void)
{
	ThreadID				tempThreadInfo;
	OSErr					errWhatErr;
	
	unitCount = newUnitCount = 1;
	
	startTime = TickCount();

	errWhatErr = NewThread( kCooperativeThread, 
							(ThreadEntryProcPtr) SortPictsThreadEntry, 
							(void *)this, 
							20000,
							kCreateIfNeeded,
							(void**)nil,
							&tempThreadInfo);
		
	threadInfo = tempThreadInfo;
	
	YieldToThread( threadInfo);

}


pascal	voidPtr	SortPictsThreadEntry( void *there)
{
	SortPicts		*t = (SortPicts *)there;

	t->Entry();
	
	return nil;
}


void	SortPicts::Entry( void)
{
	while( 1)
	{
		Scramble();
		Update();
		Sort();
	}
}


/*
 *	SetSortItem
 *
 */
void	SortPicts::SetSortItem( long index, long data)
{
static	long			horiz, vert;
	long				offset;
static long				lastHorizLeft = 0, lastHorizRight = 0;
static long				pixelVert;

//	#ifdef USE_OPT_SETSORTITEM
//	if( index < low)
//		low = index;
//	if( index > high)
//		high = index;
//	#else
#if 0
	horiz = index % pictWidth;
	vert = index / pictWidth;

	if( vert >= copyBitsRect.bottom)
		copyBitsRect.bottom = vert+1;

	if( vert < copyBitsRect.top)
		copyBitsRect.top = vert;
	
	offset = horiz + vert * pictRowBytes;
#else
	if( index > lastHorizLeft && index < lastHorizRight)
	{
	}
	else
	{
		vert = index / pictWidth;
		lastHorizLeft = vert * pictWidth;
		lastHorizRight = lastHorizLeft + pictWidth;
		
		pixelVert = vert * pictRowBytes;

		if( vert >= copyBitsRect.bottom)
			copyBitsRect.bottom = (short) vert+1;
	
		if( vert < copyBitsRect.top)
			copyBitsRect.top = (short) vert;
	}
	horiz = index - lastHorizLeft;
	
	offset = horiz + pixelVert;
#endif
	sortPixels[offset] = (SortPixel) data;

	sortData[index] = data;
	
	if( !unitCount--)
		Yield();
}

void	SortPicts::ExchangeSortItem( long one, long theOther)
{
	long		temp;
	
	temp = sortData[one];
	SetSortItem( one, sortData[theOther]);
	SetSortItem( theOther, temp);
}


void	SortPicts::Yield( void)
{
	CalculateNewUnitCount();
	Update();
	UnuseSortData();
	YieldToAnyThread();
	startTime = TickCount();
	UseSortData();
}

void	SortPicts::CalculateNewUnitCount( void)
{
	long			deltaTime = TickCount() - startTime;
	
	if( deltaTime)
		newUnitCount = (int) (((double) newUnitCount) * 
					((double) kYieldTime / (double) deltaTime));
	else
		newUnitCount = newUnitCount * 6 + 1;
	
	unitCount = newUnitCount;
}

