#   File:       SortPicts.make
#   Target:     SortPicts
#   Sources:    :Sort:HeapSort.cp
#               :Sort:QuickSort.cp
#               :Sort:ShellSort.cp
#               :Sort:SortPicts.cp
#               :Sort:SortPicts2.cp
#               :Sort:SortPicts3.cp
#               :Sort:SortPicts4.cp
#               :Sort:SortPicts5.cp
#               :Sort:SortPictsApp.cp
#               :Sort:SortPictsThreads.cp
#               :Sprocket:Lib:AppleEventHandling.cp
#               :Sprocket:Lib:DialogUtils.cp
#               :Sprocket:Lib:Preferences.cp
#               :Sprocket:Lib:SplashWindow.cp
#               :Sprocket:Lib:SprocketMain.cp
#               :Sprocket:Lib:Window.cp
#   Created:    Wednesday, November 16, 1994 06:38:04 PM

#######################################################################

DEFINES				=	-d	USEOLDUNIVERSALHEADERS=0

PowerPCCPlus		=	PPCC
PowerPCCPlusOptions	=	-w conformance -appleext on -dialect cplus	
						{DEFINES}									
						-i :Sprocket:								
						-i :Sprocket:Interfaces:					
						-i :Sort:

CPlus				=	CPlus
CPlusOptions		=	-mc68020									
						{DEFINES}									
						-i :Sprocket:Interfaces:					
						-i :Sprocket:								
						-i :Sort:
.o		.cp
	{PowerPCCPlus} {PowerPCCPlusOptions} {depDir}{default}.cp -o {targDir}{default}.o

.cp.o		.cp
	{CPlus} {CPlusOptions} {depDir}{default}.cp -o {targDir}{default}.cp.o


#######################################################################

OBJECTSDIR	=	:Objects:

POWERPCOBJECTS = 
		{OBJECTSDIR}HeapSort.o 
		{OBJECTSDIR}QuickSort.o 
		{OBJECTSDIR}ShellSort.o 
		{OBJECTSDIR}SortPicts.o 
		{OBJECTSDIR}SortPicts2.o 
		{OBJECTSDIR}SortPicts3.o 
		{OBJECTSDIR}SortPicts4.o 
		{OBJECTSDIR}SortPicts5.o 
		{OBJECTSDIR}SortPictsApp.o 
		{OBJECTSDIR}SortPictsThreads.o 
		{OBJECTSDIR}AppleEventHandling.o 
		{OBJECTSDIR}DialogUtils.o 
		{OBJECTSDIR}Preferences.o 
		{OBJECTSDIR}SplashWindow.o 
		{OBJECTSDIR}SprocketMain.o 
		{OBJECTSDIR}Window.o

68KOBJECTS = 
		{OBJECTSDIR}HeapSort.cp.o 
		{OBJECTSDIR}QuickSort.cp.o 
		{OBJECTSDIR}ShellSort.cp.o 
		{OBJECTSDIR}SortPicts.cp.o 
		{OBJECTSDIR}SortPicts2.cp.o 
		{OBJECTSDIR}SortPicts3.cp.o 
		{OBJECTSDIR}SortPicts4.cp.o 
		{OBJECTSDIR}SortPicts5.cp.o 
		{OBJECTSDIR}SortPictsApp.cp.o 
		{OBJECTSDIR}SortPictsThreads.cp.o 
		{OBJECTSDIR}AppleEventHandling.cp.o 
		{OBJECTSDIR}DialogUtils.cp.o 
		{OBJECTSDIR}Preferences.cp.o 
		{OBJECTSDIR}SplashWindow.cp.o 
		{OBJECTSDIR}SprocketMain.cp.o 
		{OBJECTSDIR}Window.cp.o

{OBJECTSDIR}		:Sort: :Sprocket: :Sprocket:Lib:

SortPicts  SortPicts.make {68KOBJECTS} {POWERPCOBJECTS} SortPicts.r
	Link -t APPL -c RnDm 
		{68KOBJECTS} 
		"{CLibraries}"CplusLib.o 
		"{CLibraries}"StdCLib.o 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		 -o {Targ}
	PPCLink  
		{POWERPCOBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"ThreadsLib.xcoff 
		"{PPCLibraries}"DragLib 
		"{PPCLibraries}"AOCELib.xcoff 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"CPlusLib.o 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		-librename InterfaceLib.xcoff=InterfaceLib 
		-librename ThreadsLib.xcoff=ThreadsLib 
		-librename AOCELib.xcoff=AOCELib 
		-librename StdCLib.xcoff=StdCLib 
		-weaklib ThreadsLib	
		-weaklib DragLib	
		-weaklib AOCELib	
		-main __cplusstart 
		-o {Targ}
	Rez SortPicts.r -append -c 'RnDm' -t 'APPL' -o {Targ}

#######################################################################

{OBJECTSDIR}HeapSort.o  SortPicts.make :Sort:HeapSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}QuickSort.o  SortPicts.make :Sort:QuickSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}ShellSort.o  SortPicts.make :Sort:ShellSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts.o  SortPicts.make :Sort:SortPicts.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts2.o  SortPicts.make :Sort:SortPicts2.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts3.o  SortPicts.make :Sort:SortPicts3.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts4.o  SortPicts.make :Sort:SortPicts4.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts5.o  SortPicts.make :Sort:SortPicts5.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h :Sprocket:Interfaces:StandardMenus.h

{OBJECTSDIR}SortPictsApp.o  SortPicts.make :Sort:SortPictsApp.cp :Sprocket:Interfaces:Sprocket.h :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPictsThreads.o  SortPicts.make :Sort:SortPictsThreads.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}AppleEventHandling.o  SortPicts.make :Sprocket:Lib:AppleEventHandling.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:AppleEventHandling.h

{OBJECTSDIR}DialogUtils.o  SortPicts.make :Sprocket:Lib:DialogUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}DialogWindow.o  SortPicts.make :Sprocket:Lib:DialogWindow.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:DialogWindow.h :Sprocket:Interfaces:StandardMenus.h

{OBJECTSDIR}DragUtils.o  SortPicts.make :Sprocket:Lib:DragUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}Preferences.o  SortPicts.make :Sprocket:Lib:Preferences.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}PrintingUtils.o  SortPicts.make :Sprocket:Lib:PrintingUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}SplashWindow.o  SortPicts.make :Sprocket:Lib:SplashWindow.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:SplashWindow.h

{OBJECTSDIR}SprocketMain.o  SortPicts.make :Sprocket:Lib:SprocketMain.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:StandardMenus.h :Sprocket:Interfaces:Window.h :Sprocket:Interfaces:SplashWindow.h :Sprocket:Interfaces:AppleEventHandling.h

{OBJECTSDIR}Window.o  SortPicts.make :Sprocket:Lib:Window.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:Window.h

#######################################################################

{OBJECTSDIR}HeapSort.cp.o  SortPicts.make :Sort:HeapSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}QuickSort.cp.o  SortPicts.make :Sort:QuickSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}ShellSort.cp.o  SortPicts.make :Sort:ShellSort.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts.cp.o  SortPicts.make :Sort:SortPicts.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts2.cp.o  SortPicts.make :Sort:SortPicts2.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts3.cp.o  SortPicts.make :Sort:SortPicts3.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts4.cp.o  SortPicts.make :Sort:SortPicts4.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPicts5.cp.o  SortPicts.make :Sort:SortPicts5.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h :Sprocket:Interfaces:StandardMenus.h

{OBJECTSDIR}SortPictsApp.cp.o  SortPicts.make :Sort:SortPictsApp.cp :Sprocket:Interfaces:Sprocket.h :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}SortPictsThreads.cp.o  SortPicts.make :Sort:SortPictsThreads.cp :Sort:SortPicts.h  :Sort:BuildConditionals.h :Sprocket:Interfaces:Window.h

{OBJECTSDIR}AppleEventHandling.cp.o  SortPicts.make :Sprocket:Lib:AppleEventHandling.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:AppleEventHandling.h

{OBJECTSDIR}DialogUtils.cp.o  SortPicts.make :Sprocket:Lib:DialogUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}DialogWindow.cp.o  SortPicts.make :Sprocket:Lib:DialogWindow.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:DialogWindow.h :Sprocket:Interfaces:StandardMenus.h

{OBJECTSDIR}DragUtils.cp.o  SortPicts.make :Sprocket:Lib:DragUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}Preferences.cp.o  SortPicts.make :Sprocket:Lib:Preferences.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}PrintingUtils.cp.o  SortPicts.make :Sprocket:Lib:PrintingUtils.cp :Sprocket:Interfaces:Sprocket.h

{OBJECTSDIR}SplashWindow.cp.o  SortPicts.make :Sprocket:Lib:SplashWindow.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:SplashWindow.h

{OBJECTSDIR}SprocketMain.cp.o  SortPicts.make :Sprocket:Lib:SprocketMain.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:StandardMenus.h :Sprocket:Interfaces:Window.h :Sprocket:Interfaces:SplashWindow.h :Sprocket:Interfaces:AppleEventHandling.h

{OBJECTSDIR}Window.cp.o  SortPicts.make :Sprocket:Lib:Window.cp :Sprocket:Interfaces:Sprocket.h :Sprocket:Interfaces:Window.h
