

#include "SortPicts.h"
//#include "StandardMenus.h"
#include <string.h>

long		SortPicts::gNumWindowsCreated = 0;
short		SortPicts::gPrefsRef = 0;
short		gSortAlgorithm = 1;
long		gNumSortPictResources = 0;
MenuHandle	gPicturesMenu = 0;

SortPicts::SortPicts()
{
	MenuHandle	sortAlgorithmMenu;

	randomSeed = TickCount() & 0x7FFFFFFF;

	if( gPrefsRef == 0)
	{
		sortAlgorithmMenu = GetMHandle( mSortAlgorithm);
		if( sortAlgorithmMenu)
		{
			CheckItem( sortAlgorithmMenu, gSortAlgorithm, true);
		}
	
		gPicturesMenu = GetMHandle( mPictureMenu);
		if( gPicturesMenu)
		{
			AddResMenu( gPicturesMenu, 'PICT');
			InsertMenu( gPicturesMenu, -1);
		
		//	Count the number of Pictures in the menu
			gNumSortPictResources = CountMItems( gPicturesMenu);
		}

		gPrefsRef = OpenPreferencesResFile();
		if( gPrefsRef > 0)
		{
			OpenDefaultSortWindows();
		}
	}
	else
	{
		SelectRandomPicture();
		CreateWindow( kNormalWindow);
	}
}

SortPicts::SortPicts( ConstStr255Param windowName)
{
	randomSeed = TickCount() & 0x7FFFFFFF;

	::strcpy( (char *) sortPictsName, (char *) windowName);
	
	CreateWindow( kNormalWindow);
}

SortPicts::~SortPicts()
{
/*	Terminate Threads	*/
	DisposeThread( threadInfo, nil, true);
	
/*	Deallocate Memory	*/
	ReleaseSortData();
	DisposeGWorld( sortGWorld);
}




WindowPtr
SortPicts::MakeNewWindow(WindowPtr /* behindWindow */)
{
	me = nil;
	
	if( PrepareGWorld( (ConstStr255Param) sortPictsName))
	{
		me = NewCWindow( nil, &windPictRect, (ConstStr255Param) sortPictsName,
					true, 0, (WindowPtr) -1, true, (long) this);

		MakeThreaded();
		
	}
		
	return me;
}


void
SortPicts::Activate(Boolean /* activating */)
{
//	DrawGrowIcon(fWindow);
}


void
SortPicts::AdjustCursor(EventRecord * /* anEvent */)
{
}


void
SortPicts::Draw(void)
{
	sortPixmap = GetGWorldPixMap( sortGWorld);
	
	LockPixels( sortPixmap);
	
	CopyBits( (const BitMap *) *sortPixmap, 
			  (const BitMap *) (*(((CWindowPtr)me)->portPixMap)),
			  &sortRect,&sortRect,srcCopy,nil);
	
	UnlockPixels( sortPixmap);
}

	
void
SortPicts::KeyDown(EventRecord * /* anEvent */ )
{
	this->Select();
}


void
SortPicts::AdjustForNewWindowSize(Rect * /* oldSize */, Rect * /* newSize */)
{
//	DrawGrowIcon(fWindow);	
}


Boolean
SortPicts::Close(void)
{
	DisposeThread( threadInfo, nil, true);
	return TWindow::Close();
}


OSErr
SortPicts::HandleDrag(DragTrackingMessage dragMessage,DragReference theDrag)
{
	RgnHandle	hiliteRgn = NewRgn();
	
	switch (dragMessage)
	{
		case	dragTrackingEnterWindow:
			SetRectRgn( hiliteRgn,
						fWindow->portRect.left,
						fWindow->portRect.top,
						fWindow->portRect.right,
						fWindow->portRect.bottom);
			ShowDragHilite(theDrag,hiliteRgn,true);
			break;
			
		case	dragTrackingLeaveWindow:
			HideDragHilite(theDrag);
			break;
			
		default:
			break;
	}
	
	DisposeRgn(hiliteRgn);
	return(noErr);
}

	
OSErr
SortPicts::HandleDrop(DragReference /* theDrag */)
{
	return(noErr);
}
